Subject: Re: [PATCH] git-svnimport: added explicit merge graph option -G

From: Steven Grimm <[email-masked]>
Date: Sun, 24 Jun 2007 10:27:48 -0700

Peter Baumann wrote:
> Sure, you have to transform the native revision specifieres into
> the GIT commit id's if you only have e.g. "merged r4711:4720 into trunk",
>   

IMO the major point of this patch is precisely to *avoid* having to do 
that transformation. If you're already going to the trouble of 
converting svn identifiers into git identifiers, then you don't need 
another tool; you just stick the IDs in the grafts file and you're done.

I agree that this functionality is useful in general, though.

-Steve